Page MenuHomePhabricator

[mediawiki.feedback.js] Signature is sometimes displayed as preformatted text
Closed, ResolvedPublic

Description

If the message the user typed in ends with a newline, the signature is appended with a leading space causing an interpretation as preformatted text. The code should check wether the message ends with \n and remove this.


Version: 1.20.x
Severity: minor
URL: https://www.mediawiki.org/wiki/Visual_editor/Feedback

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:07 AM
bzimport set Reference to bz33192.
bzimport added a subscriber: Unknown Object (MLST).
Schnark created this task.Dec 16 2011, 8:50 AM

We could probably just trim() all leading and trailing whitespace and then do the appending as is done now.

matmarex set Security to None.
matmarex removed a subscriber: Unknown Object (MLST).

Hi I'd like to work on this bug. First time here. I have built the source code for core. How do i fix this bug?

Change 181723 had a related patch set uploaded (by Polybuildr):
mediawiki.feedback.js: Remove trailing newlines from message

https://gerrit.wikimedia.org/r/181723

Patch-For-Review

matmarex closed this task as Resolved.Dec 24 2014, 12:08 PM
matmarex assigned this task to blackops0057.
matmarex reassigned this task from blackops0057 to polybuildr.
matmarex removed a project: Patch-For-Review.

Change 181723 merged by jenkins-bot:
mediawiki.feedback.js: Trim whitespace from message and subject

https://gerrit.wikimedia.org/r/181723